Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TiXmlAttribute Class Reference

`#include <tinyxml.h>`

Inheritance diagram for TiXmlAttribute:

[legend]
Collaboration diagram for TiXmlAttribute:

[legend]
List of all members.

## Public Member Functions
| TiXmlAttribute ()
| Construct an empty attribute.
| TiXmlAttribute (const char *_name, const char *_value)
| Construct an attribute with a name and value.
const char * | Name () const
| Return the name of this attribute.
const char * | Value () const
| Return the value of this attribute.
const int | IntValue () const
| Return the value of this attribute, converted to an integer.
const double | DoubleValue () const
| Return the value of this attribute, converted to a double.
int | QueryIntValue (int *value) const
int | QueryDoubleValue (double *value) const
| QueryDoubleValue examines the value string. See QueryIntValue().
void | SetName (const char *_name)
| Set the name of this attribute.
void | SetValue (const char *_value)
| Set the value.
void | SetIntValue (int value)
| Set the value from an integer.
void | SetDoubleValue (double value)
| Set the value from a double.
TiXmlAttribute * | Next () const
| Get the next sibling attribute in the DOM. Returns null at end.
TiXmlAttribute * | Previous () const
| Get the previous sibling attribute in the DOM. Returns null at beginning.
bool | operator== (const TiXmlAttribute &rhs) const
bool | operator< (const TiXmlAttribute &rhs) const
bool | operator> (const TiXmlAttribute &rhs) const
virtual const char * | Parse (const char *p, TiXmlParsingData *data)
virtual void | Print (FILE *cfile, int depth) const
virtual void | StreamOut (TiXmlOutStream *out) const
void | SetDocument (TiXmlDocument *doc)
## Private Attributes
TiXmlDocument * | document
TiXmlString | name
TiXmlString | value
TiXmlAttribute * | prev
TiXmlAttribute * | next
## Friends
class | TiXmlAttributeSet

## Detailed Description

An attribute is a name-value pair. Elements have an arbitrary number of attributes, each with a unique name.

Note:
  The attributes are not TiXmlNodes, since they are not part of the tinyXML document object model. There are other suggested ways to look at this problem.

## Constructor & Destructor Documentation

TiXmlAttribute::TiXmlAttribute | ( |  | ) | `[inline]`

| Construct an empty attribute.

TiXmlAttribute::TiXmlAttribute | ( | const char * | _name,
|  | const char * | _value
| ) | `[inline]`

| Construct an attribute with a name and value.

## Member Function Documentation

const double TiXmlAttribute::DoubleValue | ( |  | ) | const

| Return the value of this attribute, converted to a double.

const int TiXmlAttribute::IntValue | ( |  | ) | const

| Return the value of this attribute, converted to an integer.

const char* TiXmlAttribute::Name | ( |  | ) | const`[inline]`

| Return the name of this attribute.

TiXmlAttribute * TiXmlAttribute::Next | ( |  | ) | const

| Get the next sibling attribute in the DOM. Returns null at end.

bool TiXmlAttribute::operator< | ( | const TiXmlAttribute & | rhs | ) | const`[inline]`

bool TiXmlAttribute::operator== | ( | const TiXmlAttribute & | rhs | ) | const`[inline]`

bool TiXmlAttribute::operator> | ( | const TiXmlAttribute & | rhs | ) | const`[inline]`

const char * TiXmlAttribute::Parse | ( | const char * | p,
|  | TiXmlParsingData * | data
| ) | `[virtual]`

| Implements TiXmlBase.

TiXmlAttribute * TiXmlAttribute::Previous | ( |  | ) | const

| Get the previous sibling attribute in the DOM. Returns null at beginning.

void TiXmlAttribute::Print | ( | FILE * | cfile,
|  | int | depth
| ) | const`[virtual]`

| All TinyXml classes can print themselves to a filestream. This is a formatted print, and will insert tabs and newlines. (For an unformatted stream, use the << operator.) Implements TiXmlBase.

int TiXmlAttribute::QueryDoubleValue | ( | double * | value | ) | const

| QueryDoubleValue examines the value string. See QueryIntValue().

int TiXmlAttribute::QueryIntValue | ( | int * | value | ) | const

| QueryIntValue examines the value string. It is an alternative to the IntValue() method with richer error checking. If the value is an integer, it is stored in 'value' and the call returns TIXML_SUCCESS. If it is not an integer, it returns TIXML_WRONG_TYPE. A specialized but useful call. Note that for success it returns 0, which is the opposite of almost all other TinyXml calls.

void TiXmlAttribute::SetDocument | ( | TiXmlDocument * | doc | ) | `[inline]`

void TiXmlAttribute::SetDoubleValue | ( | double | value | ) |

| Set the value from a double.

void TiXmlAttribute::SetIntValue | ( | int | value | ) |

| Set the value from an integer.

void TiXmlAttribute::SetName | ( | const char * | _name | ) | `[inline]`

| Set the name of this attribute.

void TiXmlAttribute::SetValue | ( | const char * | _value | ) | `[inline]`

| Set the value.

void TiXmlAttribute::StreamOut | ( | TiXmlOutStream * | out | ) | const`[virtual]`

| Implements TiXmlBase.

const char* TiXmlAttribute::Value | ( |  | ) | const`[inline]`

| Return the value of this attribute.

## Friends And Related Function Documentation

friend class TiXmlAttributeSet`[friend]`

## Member Data Documentation

TiXmlDocument* TiXmlAttribute::document`[private]`

TiXmlString TiXmlAttribute::name`[private]`

TiXmlAttribute* TiXmlAttribute::next`[private]`

TiXmlAttribute* TiXmlAttribute::prev`[private]`

TiXmlString TiXmlAttribute::value`[private]`

The documentation for this class was generated from the following files:

- tinyxml.h
- tinyxml.cpp
- tinyxmlparser.cpp